Package org.apache.ignite.internal.jdbc.thin

## Class JdbcThinSSLUtil

- java.lang.Object
- - org.apache.ignite.internal.jdbc.thin.JdbcThinSSLUtil

    public class JdbcThinSSLUtil
    extends Object

SSL utility method to create SSL connetion.

### Field Summary

Fields
`static char[]` `EMPTY_CHARS` Empty char array.

### Method Summary

All Methods Static Methods Concrete Methods
`static SSLSocket` `createSSLSocket​(InetSocketAddress addr, ConnectionProperties connProps)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EMPTY_CHARS

    public static final char[] EMPTY_CHARS

Empty char array.

### Method Detail

#### createSSLSocket

    public static SSLSocket createSSLSocket​(InetSocketAddress addr,
                                            ConnectionProperties connProps)
                                     throws SQLException

Parameters:
  `addr` - Connection address.
  `connProps` - Connection properties.
Returns:
  SSL socket.
Throws:
  `SQLException` - On connection error or reject.
  `IOException` - On IO error in handshake.